[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: make-kpkg kernel-image et gcc4 [RESOLU]



Super utile de savoir imposer une version de gcc à make-kpkg.
2.6.10 sauce debian unstable compilé sans pb majeur avec gcc-3
JLC : Un grand merci !

--
Sylvt

Le Jeudi 18 Août 2005 19:36, Jean-Luc Coulon (f5ibh) a écrit :
> Le 18.08.2005 18:48:29, sylvt a écrit :
> > Bonjour à tous,
> > En testing, impossible de compiler un kernel (2.6.8-16, 2.6.10-6,
> > kernel-source prises dans unstable, .config pris
> > sur /boot/config-2.6.8-2-686) depuis, me semble t-il, le passage à
> > gcc4.
> > J'obtiens ce genre d'erreure caractéristique :
> > include/linux/skbuff.h:1017: warning: pointer targets in passing
> > argument 2 of
> > 'csum_and_copy_from_user' differ in signedness
> > (Cette hypothèse se confirmerait :
> > http://lists.debian.org/debian-kernel/2005/08/msg00136.html
> > vu que le même genre d'erreure se produit avec le kernel 2.6.11)
> > Si je pige bien le man make-kpkg il est possible d'imposer la version
> > du gcc.
> > Ce serait quelque chose comme :
> > % MAKEFLAGS="CC=gcc-3.3" make-kpkg ...
>
> J'ai compilé les version antérieure à 2.6.12  avec quelque chose comme :
>
> MAKEFLAGS="CC=gcc-3.4" \
> make-kpkg --rootcmd fakeroot clean
> MAKEFLAGS="CC=gcc-3.4" \
> make-kpkg --revision xxxxx \
>            --append-to-version -xxxxx \
>            --initrd \
>           --rootcmd fakeroot kernel_image
>
> > Une alternative est de partir d'un kernel 2.6.12 non debian qui
> > compilerait
> > avec gcc-4.
>
> Pas de problème avec 2.6.12, on peut le compiler avec gcc-4
>
> > Qu'en pensez-vous ?
> > --
> > sylvt
>
> Jean-Luc



Reply to: